package com.bytedance.android.livesdk.livesetting.watchlive;

import com.bytedance.android.live.annotation.Group;
import com.bytedance.android.live.annotation.SettingsKey;
import com.bytedance.android.live_settings.SettingsManager;
import com.bytedance.android.livesdk.livesetting.watchlive.firstscreen.FirstScreenOptSwitcher;
import com.bytedance.covode.number.Covode;

@SettingsKey("live_first_frame_callback_insert_mq_head")
public final class LiveFirstFrameCallbackInsertMqHeadSetting {
    @Group(isDefault = true, value = "default group")
    public static final boolean DEFAULT = false;
    public static final LiveFirstFrameCallbackInsertMqHeadSetting INSTANCE = new LiveFirstFrameCallbackInsertMqHeadSetting();

    static {
        Covode.recordClassIndex(18389);
    }

    public final boolean getValue() {
        if (!SettingsManager.INSTANCE.getBooleanValue(LiveFirstFrameCallbackInsertMqHeadSetting.class) || !FirstScreenOptSwitcher.INSTANCE.getValue()) {
            return false;
        }
        return true;
    }
}
